#ifndef PLANET_H
#define PLANET_H

#include <iostream>
#include "AstronomicalObject.h"
#include "allegro5/color.h"
#include "allegro5/allegro_primitives.h"


class Planet : public AstronomicalObject
{
    public:
        Planet();
        Planet(float xPos, float yPos);
        virtual ~Planet();
        virtual void draw() const;

    protected:
        bool m_isWaterPresent;

    private:
};

#endif // PLANET_H
